summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRick Farina <zerochaos@gentoo.org>2019-03-25 15:25:40 -0400
committerRick Farina <zerochaos@gentoo.org>2019-03-25 15:25:57 -0400
commit013f21b40ef90710a03ee28cbf43a6fc600c7b17 (patch)
tree07df09b8ffbc897272ac154df5e7cc704d53defb /net-wireless
parentnet-dns/nsd: Removed old. (diff)
downloadgentoo-013f21b40ef90710a03ee28cbf43a6fc600c7b17.tar.gz
gentoo-013f21b40ef90710a03ee28cbf43a6fc600c7b17.tar.bz2
gentoo-013f21b40ef90710a03ee28cbf43a6fc600c7b17.zip
net-wireless/wpa_supplicant: fix bug# 678784
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Rick Farina <zerochaos@gentoo.org>
Diffstat (limited to 'net-wireless')
-rw-r--r--net-wireless/wpa_supplicant/wpa_supplicant-2.7-r3.ebuild (renamed from net-wireless/wpa_supplicant/wpa_supplicant-2.7-r2.ebuild)11
1 files changed, 9 insertions, 2 deletions
diff --git a/net-wireless/wpa_supplicant/wpa_supplicant-2.7-r2.ebuild b/net-wireless/wpa_supplicant/wpa_supplicant-2.7-r3.ebuild
index 311119d282d..a20d8e0dce3 100644
--- a/net-wireless/wpa_supplicant/wpa_supplicant-2.7-r2.ebuild
+++ b/net-wireless/wpa_supplicant/wpa_supplicant-2.7-r3.ebuild
@@ -217,7 +217,7 @@ src_configure() {
Kconfig_style_config TLS openssl
Kconfig_style_config FST
- if ! use bindist; then
+ if ! use bindist || use libressl; then
Kconfig_style_config EAP_PWD
Kconfig_style_config FILS
Kconfig_style_config FILS_SK_PFS
@@ -227,9 +227,11 @@ src_configure() {
Kconfig_style_config OWE
Kconfig_style_config SAE
Kconfig_style_config DPP
- Kconfig_style_config SUITEB
Kconfig_style_config SUITEB192
fi
+ if ! use bindist && ! use libressl; then
+ Kconfig_style_config SUITEB
+ fi
if use smartcard ; then
Kconfig_style_config SMARTCARD
@@ -417,6 +419,11 @@ pkg_postinst() {
ewarn "This is incredibly undesirable"
fi
fi
+ if use libressl; then
+ ewarn "Libressl doesn't support SUITEB (part of WPA3)"
+ ewarn "but it does support SUITEB192 (the upgraded strength version of the same)"
+ ewarn "You probably don't care. Patches welcome"
+ fi
# Mea culpa, feel free to remove that after some time --mgorny.
local fn